import './style.css';
export interface Action {
    text: string;
    callback?: ActionCallback;
}
export declare type ActionCallback = (toast: Toast) => void;
export interface ToastOptions {
    /**
     * Automatically destroy the toast in specific timeout (ms)
     * @default `0` which means would not automatically destory the toast
     */
    timeout?: number;
    /**
     * Toast type
     * @default `default`
     */
    type?: 'success' | 'error' | 'warning' | 'default';
    action?: Action;
    cancel?: string;
}
export declare class Toast {
    message: string;
    options: ToastOptions;
    el?: HTMLDivElement;
    private timeoutId?;
    constructor(message: string, options?: ToastOptions);
    insert(): void;
    destory(): void;
    setContainer(): void;
    startTimer(): void;
    stopTimer(): void;
}
export declare function createToast(message: string, options?: ToastOptions): Toast;
export declare function destoryAllToasts(): void;
